Page MenuHomePhabricator

Phabricator search does not search substrings
Closed, ResolvedPublic

Description

Upstream report: https://secure.phabricator.com/T6552

Searching "wmfusercontent" doesn't match "wmfusercontent.org"

https://phabricator.wikimedia.org/search/query/dHeGWXS5BCJU/#R doesn't find anything, while it should: https://phabricator.wikimedia.org/search/query/0ALG6YJrIfso/#R

Event Timeline

Nemo_bis created this task.Oct 17 2014, 5:09 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Byfserag triaged this task as Lowest priority.Oct 18 2014, 6:49 AM
Byfserag added a project: Phabricator.
Aklapper renamed this task from Searching "wmfusercontent" doesn't match "wmfusercontent.org" to Phabricator search does not search substrings.Oct 18 2014, 9:00 PM
Aklapper updated the task description. (Show Details)
Aklapper raised the priority of this task from Lowest to Normal.
Aklapper added a subscriber: Aklapper.

For some more background, see T378 and T95.

Should this be working, since T95 is closed, or does something else need to be opened/discussed/developed/etc?

(It's not working. The main examples above are still broken. Also I get different results if I search for avatars or avatar (this search does not find 1180 - "Policy for inappropriate avatars?" which was very confusing until I tried the plural)

Qgil added a subscriber: Qgil.Nov 9 2014, 9:06 PM

Elasticsearch is installed (hence T95), but we are not getting the juice that it can theoretically provide.

Qgil added a comment.Nov 14 2014, 10:07 AM

Someone else is complaining about this problem upstream: https://secure.phabricator.com/T6552

Qgil raised the priority of this task from Normal to High.Nov 17 2014, 2:32 PM
Qgil added a project: Elasticsearch.
Qgil added subscribers: Manybubbles, demon, greg.

@Manybubbles, @Chad, @greg, would it be possible to get a bit of Elasticsearch expertise from your team to solve this task? If only to investigate whether there is something simple not configured, an easy bug, or some low-hanging fruit to improve the current performance of Phabricator search.

Qgil added a comment.Dec 4 2014, 12:26 PM

Elasticsearch folks might want to have a look at this comment upstream including some code.

Qgil updated the task description. (Show Details)Dec 4 2014, 12:27 PM
Qgil added a project: Phabricator (Upstream).
Qgil moved this task from Backlog to Wikimedia requests on the Phabricator (Upstream) board.
greg added a comment.Dec 4 2014, 5:53 PM
In T679#22647, @Qgil wrote:

@Manybubbles, @Chad, @greg, would it be possible to get a bit of Elasticsearch expertise from your team to solve this task?

Not my team :)

greg removed a subscriber: greg.Dec 4 2014, 5:53 PM
demon claimed this task.Dec 9 2014, 10:18 PM
In T679#818654, @Qgil wrote:

Elasticsearch folks might want to have a look at this comment upstream including some code.

Tested that, should work for us. Will require a reindex which will be time-consuming :)

Qgil moved this task from To Triage to Doing on the Phabricator board.Dec 22 2014, 10:00 AM

This was merged upstream.

Should this be closed now?

Qgil closed this task as Resolved.Jan 7 2015, 10:42 AM

https://phabricator.wikimedia.org/search/query/dHeGWXS5BCJU/#R doesn't find anything

Still true (as expected until the upgrade).

Qgil awarded a token.Jan 15 2015, 6:36 AM

Tested, it works! Phew.

I'm seeing a similar (same?) issue. For example, if I search for "scroll horizontally" I miss out on results found only by searching for "scrolls horizontally".

Restricted Application added a project: Discovery. · View Herald TranscriptJul 29 2015, 5:13 PM
Restricted Application added a subscriber: scfc. · View Herald Transcript

For example, if I search for "scroll horizontally" I miss out on results found only by searching for "scrolls horizontally".

That's because we switched to MySQL search, see T75854#1053174. The MySQL search is predictable but "dumb".

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM
Nnemo added a subscriber: Nnemo.EditedJul 4 2016, 7:57 PM

This problem does not seem to be resolved.

Here in Phabricator, I search: Phabricato

I expect to find this task T679.

I don't find this task T679.

Nnemo reopened this task as Open.Jul 4 2016, 7:57 PM
Nnemo awarded a token.Jul 4 2016, 8:04 PM
Danny_B added a subscriber: Danny_B.Jul 4 2016, 9:06 PM

@Nnemo Where exactly do you search? Please provide more detailed description. Thank you.

Actually I guess this should be re-closed since we have T94338: MySQL search only finds whole-word exact matches open which obviously reflects this issue.

@Aklapper ^^ ?

Danny_B changed the task status from Duplicate to Resolved.Jul 5 2016, 3:40 PM

(It originally has been Resolved, but the issue appeared again, that's different than duplicate.)